// Implementation ConfigGeneral
//
// Copyright Matthias Gaertner, Schenefeld, Germany, 2001
// You may use this code under the terms of the GPL.
// Updated packages may be found at http://www.rtner.de/parsled/
//

#include <ConfigGeneral.h>


ConfigGeneral::ConfigGeneral() :
    _device("/dev/parsled0"),
    _interval( 100 ),
    _pidfile("")
{
}

ConfigGeneral::~ConfigGeneral()
{
}

// 0: OK else error
int ConfigGeneral::feedLine( IConfigLine *icf )
{
    int r = 0;
    if( (r=icf->scanNonEmptyString( "DEVICE", &_device )) >= 0 )
    {
        return r;
    }
    if( (r=icf->scanPositiveInt( "INTERVAL", &_interval )) >= 0 )
    {
        return r;
    }
    if( (r=icf->scanNonEmptyString( "PIDFILE", &_pidfile )) >= 0 )
    {
        return r;
    }
    return 1;
}

// 0: OK else error
int ConfigGeneral::checkOK()
{
    return 0;
}

const char *ConfigGeneral::getDevice( void )
{
    return _device.getPointerC();
}

unsigned int ConfigGeneral::getInterval( void )
{
    return _interval;
}

const char *ConfigGeneral::getPIDFile( void )
{
    return _pidfile.getPointerC();
}

/* */
