// Interface definition for IConfigClass
//
// Copyright Matthias Gaertner, Schenefeld, Germany, 2001
// You may use this code under the terms of the GPL.
// Updated packages may be found at http://www.rtner.de/parsled/
//

#ifndef __PARSLEDCONFIGCLASS_H
#define __PARSLEDCONFIGCLASS_H

#include <IConfigClass.h>


struct ConfigClassListElement
{
    ConfigClassListElement();
    ~ConfigClassListElement();

    struct ConfigClassListElement *_next;
    IConfigClass *_c;
};

class ParSledConfigClass : public IConfigClass
{
public:
    ParSledConfigClass();
    ParSledConfigClass( const char * );
    ~ParSledConfigClass ();

    const SimpleString &getClassName( void ) const;


    void addSubelement( IConfigClass * );
    void resetIter( void );
    IConfigClass *getNextIter( void );

protected:
    SimpleString _classname;

    struct ConfigClassListElement *_l;
    struct ConfigClassListElement *_cursor;
};

#endif /* __PARSLEDCONFIGCLASS_H */

/* */
